make -j8
mkdir files 

rm files/freertos_app.hex
cp ../../../../test/251837/pca10040/s132/ses/Output/Release/Exe/ble_app_hrs_freertos_pca10040_s132.hex files/freertos_app.hex

nrfutil settings generate --family NRF52 --application files/freertos_app.hex --application-version 1 --bootloader-version 1 --bl-settings-version 1 --key-file ../../../../dfu/private.key files/bl_settings.hex

nrfjprog -e
nrfjprog --program ../../../../../components/softdevice/s132/hex/s132_nrf52_6.1.1_softdevice.hex
nrfjprog --program _build/nrf52832_xxaa_s132.hex --verify
nrfjprog --program files/freertos_app.hex --verify
nrfjprog --program files/bl_settings.hex --verify
nrfjprog --reset

nrfutil pkg generate --application files/freertos_app.hex --application-version 2 --hw-version 52 --sd-req 0xB7 --key-file ../../../private.key files/dfu_test.zip
